


    <div *ngIf="pokemon" class=" mb-5 border-black border-2 w-80 bg-slate-100 rounded relative">
            <section  class=" p-4 ">
                
            <span class=" text-xl font-bold centre">{{pokemon.name}}</span>
                 
            </section>
        <section>
            <img [src]="pokemon.picture" [alt]="pokemon.picture"  class="w-50" />
        </section>
        <app-catch-button [pokemonId]="pokemon.id" [pokemonName]="pokemon.name" [pokemonPicture]="pokemon.picture" ></app-catch-button>
    </div>
 